/** @file
 * @brief macros to ease some common logging cases.
 *
 * The log macros are put into a file separate from the (base) logging files since
 * every coder can decide if he/she want's to use these macros or not.
 * (Not everyone like macros...)
 * 
 *
 * @author Reinhard Pfau \<reinhard.pfau@intra2net.com\>
 *
 * @copyright &copy; Copyright 2008 by Intra2net AG
 * @license commercial
 *
 * info@intra2net.com
 *
 */

#ifndef __I2N_COMMON_LOG_MACROS_HPP__
#define __I2N_COMMON_LOG_MACROS_HPP__

#include "logfunc.hpp"


/*
**
*/

/**
 * @brief to be inserted in prepared but unimplemented functions.
 */
#define UNIMPLEMENTED() do{ ::I2n::Logger::GlobalLogger.warning(HERE) << "not implemented"; }while(false)


/**
 * @brief to be inserted in places which should be never reached during normal program execution.
 */
#define NOT_REACHED() do{ ::I2n::Logger::GlobalLogger.alert(HERE) << "this part should not be reached"; }while(false)




#endif
